<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Athena
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo('charset'); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

<link rel="shortcut icon" type="image/x-icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico">
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<link rel="stylesheet" href="http://eeiconstruccion.com/wp-content/themes/athena/jquery.bxslider.css">
<script src="http://eeiconstruccion.com/wp-content/themes/athena/jquery.bxslider.min.js"></script>
<script>
var timer = 0;
function recheck() {
    var window_top = $(this).scrollTop();
    var window_height = $(this).height();
    var view_port_s = window_top;
    var view_port_e = window_top + window_height;
    
    if ( timer ) {
      clearTimeout( timer );
    }
    
    $('.fly').each(function(){
      var block = $(this);
      var block_top = block.offset().top;
      var block_height = block.height();
      
      if ( block_top < view_port_e ) {
        timer = setTimeout(function(){
          block.addClass('show-block');
        },100);       
      } else {
        timer = setTimeout(function(){
          block.removeClass('show-block');
        },100);          
      }
    });
}
$(function(){
  $(window).scroll(function(){
    recheck();
  });  
  $(window).resize(function(){
     recheck();   
  });  
  recheck();
});
</script>

 <script>
 //$(function(){
 $(document).ready(function(){
  $('.bxslider').bxSlider({
     slideWidth:440,
    minSlides:1,
    maxSlides:4,
    slideMargin:10,
	pager:false,
	controls:true,
	responsive:true
  });
  
});
</script>

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="athena-search" class="noshow">
  <div class="row"> <span class="fa fa-search"></span>
    <?php get_search_form( ); ?>
    <span class="fa fa-close"></span> </div>
</div>
<div id="page" class="hfeed site">
<a class="skip-link screen-reader-text" href="#content">
<?php esc_html_e('Skip to content', 'athena'); ?>
</a>
<header id="masthead" class="site-header" role="banner">
  <div id="athena-header" class="<?php echo is_front_page() ? 'frontpage' : ''; ?>">
    <div id="top-head-black">
      <div id="inner-header">
        <div class="lan-selector"> <a href="http://eeiconstruccion.com/">Spanish</a> | <a href="#">English</a> </div>
        <div class="top-right"> 
        <a href="https://portaleei.wordpress.com" target="_blank">Intranet</a> | <a href="http://eeiconstruccion.com/trabaje-con-nosotros/">Trabaje en Equipos</a> | <a href="http://eeiconstruccion.com/subcontractors/">Subcontratistas</a> | <a href="http://eeiconstruccion.com/contactenos/">Contacto</a>  </div>
        
        <div class="top-heder-media"> <a href="https://www.instagram.com/equipos_ingenieria/" target="_blank"> <span class="fa fa-instagram"></span> </a> <a href="https://www.linkedin.com/in/eeiconstruccion" target="_blank"> <span class="fa fa-linkedin"></span> </a> <a href="https://www.facebook.com/Equipos-e-Ingenier%C3%ADa-Construcci%C3%B3n-SAS-108780894010143/?modal=admin_todo_tour" target="_blank"> <span class="fa fa-facebook"></span> </a> <a href="https://twitter.com/equipos_e" target="_blank"> <span class="fa fa-twitter"></span> </a> </div>
      </div>
    </div>
    <div id="athena-header" class="frontpage">
      <div id="inner-header">
      <div id="block-search-form" class="block block-search">
      <?php get_search_form();?>
      </div>
        <div class="dropdown">
          <button onClick="myFunction()" class="dropbtn"><span style="font-family:'NewsGothic Condensed', Helvetica, Arial, sans-serif;"><b style="font-size:18px;">&#9776;</b></br>
          MENU</span></button>
        </div>
        <div class="athena-branding">
          <div class="site-branding">
            <div id="athena-logo" class="<?php echo get_theme_mod('logo_bool', 'on' ) == 'on' ? 'show' : 'hidden'; ?>"> <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"> <img src="<?php echo get_theme_mod( 'logo', get_template_directory_uri() . '/inc/images/logo.png' ) ?>" title="<?php bloginfo('name'); ?>" /> </a> </div>
            <h1 class="site-title <?php echo get_theme_mod('logo_bool', 'on' ) == 'off' ? 'show' : 'hidden'; ?>"> <a href="<?php echo esc_url(home_url('/')); ?>" rel="home">
              <?php bloginfo('name'); ?>
              </a> </h1>
            <p class="site-description <?php echo get_theme_mod('logo_bool', 'on' ) == 'off' ? 'show' : 'hidden'; ?>">
              <?php bloginfo('description'); ?>
            </p>
            <?php //endif; ?>
          </div>
          <!-- .site-branding -->
        </div>
      </div>
      <div id="myDropdown" class="dropdown-content">
        <?php
                                        $menu = wp_nav_menu(array(
                                            'theme_location' => 'primary',
                                            'menu_id' => 'primary-menu',
                                            'menu_class' => 'athena-nav',
                                        ));
                             
                                    ?>
      </div>
      <div class="row">
        <div class="athena-header-menu">
          <?php if( class_exists( 'WooCommerce' ) ) : ?>
          <div class="athena-mobile-cart"> <a class="athena-cart" href="<?php echo WC()->cart->get_cart_url() ; ?>"><span class="fa fa-shopping-cart"></span> <?php echo WC()->cart->get_cart_total(); ?></a> </div>
          <?php endif; ?>
          <style>                             
</style>
          <script>
/* When the user clicks on the button,
toggle between hiding and showing the dropdown content */
function myFunction() {
    document.getElementById("myDropdown").classList.toggle("show");
}
function filterFunction() {
    var input, filter, ul, li, a, i;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    div = document.getElementById("myDropdown");
    a = div.getElementsByTagName("a");
    for (i = 0; i < a.length; i++) {
        if (a[i].innerHTML.toUpperCase().indexOf(filter) > -1) {
            a[i].style.display = "";
        } else {
            a[i].style.display = "none";
        }
    }
}
</script>
        </div>
      </div>
    </div>
  </div>
</header>
<!-- #masthead -->
<div id="content" class="site-content">
